# https://archive.xfce.org/src/panel-plugins/xfce4-pulseaudio-plugin/0.3/xfce4-pulseaudio-plugin-0.3.5.tar.bz2

Name:           xfce4-pulseaudio-plugin
Version:        0.4.0
Release:        %mkrel 1
Summary:        PulseAudio volume control for the Xfce panel
Summary(de):    PulseAudio-Lautstärkeregler für das Xfce-Panel

License:        GPLv2+
Group:          Graphical desktop/Xfce
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  %{_lib}keybinder3.0-devel
BuildRequires:  %{_lib}notify-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}xfce4ui-devel
BuildRequires:  libpthread-stubs
BuildRequires:  wayland-protocols-devel
BuildRequires:  xfce4-panel-devel >= 4.11.0
Requires:       pavucontrol

%description
The Xfce PulseAudio Plugin is a plugin for the Xfce panel which provides a
convenient way to adjust the audio volume of the [PulseAudio sound system][1]
and to an auto mixer tool like pavucontrol. It can optionally handle
multimedia keys for controlling the audio volume.

[1]: http://www.freedesktop.org/wiki/Software/PulseAudio/ "PulseAudio Website"

%description -l de
Das Xfce PulseAudio Plugin ist eine Erweiterung für die Xfce-Leiste, welche einen
geeigneten Weg zum Regeln der Audiolautstärke des [PulseAudio Sound Systems][1] bietet,
ebenfalls ist der Zugriff auf einen automatischen Mixer wie pavucontrol möglich.
Optional können auch Multimediatasten zum Einstellen der Lautstärke genutzt werden.

[1]: http://www.freedesktop.org/wiki/Software/PulseAudio/ "PulseAudio Website"

%prep
%setup -q

%build
%configure2_5x \
  --enable-keybinder \
  --enable-libnotify \
  --enable-maintainer-mode
%make_build

%install
%makeinstall_std
find %{buildroot} -type f -regex ".*\.\(a\|la\)$" -delete
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_datadir}/xfce4/panel/plugins/pulseaudio.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_iconsdir}/hicolor/*/status/audio-volume-*-symbolic.svg
%{_iconsdir}/hicolor/*/status/microphone-sensitivity-*-symbolic.svg

%changelog
* Sat Mar 24 2018 ghostbunny <ghostbunny at gmx dot de> 0.4.0-1pclos2018
- 0.4.0

* Thu Mar 08 2018 marcin82 <fixxer1982 at gmail.com> 0.3.5-1pclos2018
- update

* Wed Dec 20 2017 ghostbunny <ghostbunny at gmx dot de> 0.3.4-1pclos2017
- 0.3.4

* Fri Dec 01 2017 ghostbunny <ghostbunny at gmx dot de> 0.3.3-1pclos2017
- 0.3.3

* Fri Jul 28 2017 ghostbunny <ghostbunny at gmx dot de> 0.2.5-1pclos2017
- 0.2.5

* Tue Dec 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.4-1pclos2015
- 0.2.4

* Sat May 16 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.3-1pclos2015
- 0.2.3

* Fri Apr 10 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.2-1pclos2015
- 0.2.2

* Wed Mar 11 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.1-1pclos2015
- 0.2.1

* Sun Mar 08 2015 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2015
- initial import for PCLOS
